sha512_context Struct Reference

## Data Fields

uint64_t | length
uint64_t | state [8]
uint8_t | curlen
uint8_t | buf [128]

## Field Documentation

## length

uint64_t sha512_context::length

## state

uint64_t sha512_context::state[8]

## curlen

uint8_t sha512_context::curlen

## buf

uint8_t sha512_context::buf[128]

The documentation for this struct was generated from the following file:

- sha512.h